Nini Library API Reference - http://nini.sourceforge.net/ |

# IniSectionCollection Methods

The methods of the IniSectionCollection class are listed below. For a complete list of IniSectionCollection class members, see the IniSectionCollection Members topic.

#### Public Instance Methods

Add | Adds a new section to the collection.
CopyTo | Overloaded. Copies the collection to an array.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns the enumerator object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Remove | Removes a section from the collection.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniSectionCollection Class | Nini.Ini Namespace